Subject: bug#36597: 27.0.50; rehash hash tables eagerly in pdumper

From: Pip Cet <[email-masked]>
Date: Tue, 11 Aug 2020 09:40:27 +0000

On Tue, Aug 11, 2020 at 9:33 AM Paul Eggert <[email-masked]> wrote:
> On 8/10/20 6:04 AM, Lars Ingebrigtsen wrote:
> > time make -j32 compile-always
> > ...
> > Er...  It's weird that there's so much difference in time between
> > runs
>
> I  think I get less variance if I do a sequential 'make' (i.e., without -j). Of
> course this takes longer.

It's worse than just execution time variance: at least in the past,
byte code used to differ between runs if -jN was used. I'm not sure
whether that's still true.

> It also simplifies the code a bit, so I took the liberty of installing it, after
> updating its commit message a bit and changing it to keep a comment that was
> updated recently (I figure this was a merge error).

It was, thank you!